#
# spec file for package mp3fs
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           mp3fs
Version:        0.91
Release:        1.5
Summary:        A read-only FUSE filesystem which transcodes audio formats
License:        GPL-3.0-or-later
Group:          System/Filesystems
URL:            https://github.com/khenriks/mp3fs
Source:         https://github.com/khenriks/mp3fs/download/v%{version}/%{name}-%{version}.tar.gz
BuildRequires:  asciidoc
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  flac-devel
BuildRequires:  fuse-devel
BuildRequires:  gcc
BuildRequires:  gcc-c++
BuildRequires:  libid3tag-devel
BuildRequires:  libmp3lame-devel
BuildRequires:  libvorbis-devel

%description
MP3FS is A read-only FUSE filesystem which transcodes audio formats (currently
FLAC) to MP3 on the fly when opened and read. This was written to enable me to
use my FLAC collection with software and/or hardware which only understands
MP3. e.g. gmediaserver to a netgear MP101 mp3 player.

It is also a novel alternative to traditional mp3 encoder applications. Just
use your favorite file browser to select the files you want encoded and copy
them somewhere!

%prep
%setup -q

%build
autoreconf --install
%configure
make %{?_smp_mflags}

%install
%make_install

%files
%{_bindir}/mp3fs
%{_mandir}/man1/mp3fs.1%{?ext_man}

%changelog
